Skip to main content

Delete last run's default store's record

DELETE 

/v2/actors/:actorId/runs/last/key-value-store/records/:recordKey

Removes a record specified by a key from the default key-value store of the last Actor run.

This endpoint is a shortcut for getting the last run's defaultKeyValueStoreId and then using the Delete record endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor
    recordKey string required

    Key of the record.


    Example: someKey

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    origin RunOrigin

    Possible values: [DEVELOPMENT, WEB, API, SCHEDULER, TEST, WEBHOOK, ACTOR, CLI, CI, STANDBY, MCP]

    Filter for the run origin, i.e. the means by which the run was started.

Status 204

No content